Bug 86706 - Wrong data being highlighted when selecting a point on scatterplot
Summary: Wrong data being highlighted when selecting a point on scatterplot
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-11-25 16:06 UTC by Riccardo Vianello
Modified: 2021-03-01 04:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example work with graphic to eliminate outliner point on the graphic (90.95 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-25 16:06 UTC, Riccardo Vianello
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Riccardo Vianello 2014-11-25 16:06:57 UTC
Created attachment 110008 [details]
Example work with graphic to eliminate outliner point on the graphic

Description: When i make a scatterplot on the excel, I select on the outliner point and the software highlighted a wrong values of the point on the scatterplot.
If i want to delete this outline point, i delete two values but the software delete an another point . (Video 1, 4:32s)
I restore the value delete and i delete an another value but an another point is delete, but these values are wrong point who i want to delete
I prove to delete the values of the 380 cell, now the outliner is completely delete. (video 1, 5:09s)

Step by Step:
1)I create a new document in excel
2)I click on the "CTRL+V" to paste more data 
3)I'll trasform to normalize these data throught a Log10 () function
4)I select now these results of the log10 () from the range 369 to 389 cell
5)Here I click on the "graphic" button and the software appears a new window when i can choose different graphics
6)I select "XY (Scatter plot) and i select this checkbox called as "order according to the values of x"
7) I click on the "Next" button to continue to creation of the scattered plot and i click on the "End" button to create this new scatterplot
8)I select the x axis of this scatterplot to -0.6 for improve the read of graphic
9)Now i select these data with right click of the mouse where there are new entries and i click on the "enter trendline" 
10)Now the our graphic has a straight line and the software appear an another window where i select this option called as "Show equation".
11)If i put the mouse over the outline data which is far to the straight line compare a tooltip with some values
12)If i click on this point, the software shows an highlighted values with blu borders
13)If i delete these two value highlighte the point will be delete but an another point is delete. (Video 1, 4:32s)
14)I restored againg these values and i prove to delete this 380 values and now the outline point is completely delete (Video 1, 5:09s)

OS:Windows 8.1 Pro 
Size Monitor:1366x768 
Monitor: AMD Radeon HD 7670
Bit: 64
Version programm: 4.3.4.1

Video:
Video 1 => https://www.youtube.com/watch?v=WZXYxqWK4tk

I put an odt format for this problem

please fix this medium issue.
Comment 1 Joel Madero 2014-11-25 16:22:26 UTC
This is confirmed on LibreOffice 3.3 so it's inherited from OOo. Changing version.

Ubuntu 14.10 x64
LibreOffice 3.3 and 4.5

To Reproduce:
1. Download data.
2. Double click scatterplot chart
3. Single click on somewhat outlier near 0 (left bottom quadrant closest to 0)
4. Single click same point

Observed:
Point is selected, cells F70 and G70 are highlighted.

5. Click off of chart;
6. Delete values in F70 and G70

Observed:
A different point than that selected gets deleted

7. Undo

Observed:
Deleted point returns

8. Delete values in F80 and G80

Observed: Point that you originally selected is now gone.


Expected: When you select that point, F80 and G80 should be highlighted, not F70 and G70.
Comment 2 Matthew Francis 2014-12-09 09:41:36 UTC
Workaround:

- Sort the data by the column for the X axis
- Uncheck "Sort by X values" in the "Chart Type" dialog

Then selecting the points highlights the correct row
Comment 3 Joel Madero 2015-03-16 20:23:39 UTC
Because there is a workaround I am prioritizing as such:

Minor - can slow down but will not prevent high quality/professional work;
Low - default


Possibly an easy hack so asking for advice from devs.
Comment 4 mikeschaerer 2015-03-17 12:26:45 UTC
Alternative workaround:

You can just hover over the point without clicking. This gives you x and y values. You can then manually exclude this point from the selection by creating a new chart where you (de)select individual rows by holding the Control Key.
Comment 5 Matthew Francis 2015-03-17 13:21:46 UTC
A workaround isn't a fix. There's still a bug there

Setting back to -> NEW
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:21:43 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:28:03 UTC Comment hidden (obsolete)
Comment 8 Laurent BP 2017-05-22 20:37:38 UTC
Confirmed with:
- Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: group

- Version: 5.4.0.0.alpha1+
Build ID: d33e262a244f351febc9dbe605b05f76cb834eeb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-08_00:26:09
Locale: fr-FR (fr_FR); Calc: CL
Comment 9 jasonoverland 2019-03-01 03:27:49 UTC
I experienced this bug as well.

I'm using Linux Mint 19.1 and LibreOffice Calc version 6.0.7.3.
Comment 10 QA Administrators 2021-03-01 04:08:40 UTC
Dear Riccardo Vianello,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug